Wicd error gentoo linux

So if you are login to your Plasma desktop on gentoo and seeing an error screen saying “wicd cannot connect to dbus check your user is in user group” and must be scratching your head why this is happening .. then I have a solution for it here:

All you need to do is install  ‘sudo’ package and also add wicd to your boot level

Installing sudo (you need to be root to install the package)

# emerge sudo

Once done fire up below command

# rc-update add wicd default

Reboot the system and login into your plasma desktop … hell yeah it’s working !

 

 

Install Skype on Gentoo 64 bit

Hey there folks , just a small background first 🙂 i used to install multilib gentoo on my machines but this time i have installed a pure  64 bit OS. I was happy but then OOps when i need to install  skype i had major issues like package blocking , stable / unstable pkg mixing. After hours of reading and help form #gentoo at irc.freenode.net  i was able to install skype properly without breaking my system.

Below is little how to on installing skype on 64 bit gentoo

do emerge -Dvp skype

check what all packages require ~amd64 and put them in /etc/portage/package.accept_keywords thats how i have done it. An example entry is below

net-im/skype

Once done fire the below command

emerge -avuDN @world

and see how many packages need “abi_x86_32” to be enabled in USE flag. Make a list and then put them in /etc/portage/package.use/pkg name.

Just to show an example please see below entry for one of the pkg which requires abi_x86_32 enabled in use flag

sys-libs/zlib abi_x86_32

Once you have put all the pkg entries in package.use do

emerge -Dv skype and  here you go you will have your skype working on 64bit system and you have mixed stable / unstable pkgs without breaking your system.

My entries in package.use

alsa-lib expat graphite2 jpeg libgcrypt libpcre libX11 libXft libXxf86vm pixman qtgui tcp-wrappers xproto
attr flac gst-plugins-base json libgpg-error libpng libXau libXi llvm pkgconfig qtsql udev zlib
bzip2 fontconfig gstreamer lcms libiconv libpthread-stubs libxcb libxml2 lzo presentproto qtwebkit util-linux
cairo freetype harfbuzz libasyncns libintl libSM libXcursor libXrender mesa pulseaudio readline vlibffi
damageproto glib icu libcap libjpeg-turbo libsndfile libXdamage libXScrnSaver ncurses qt3support recordproto xextproto
dri2proto glproto inputproto libdrm libogg libudev libXdmcp libxshmfence openssl qtbus renderproto xf86driproto
dri3proto gpm iputils libffi libpciaccess libvorbis libXext libXtst pango qtcore sqlite xf86vidmodeproto

Thats quite alot  damn 🙂

Have FUN ……

 

 

Nikto SSL error fix

Nikto is an Open Source web server scanner which performs comprehensive tests against web servers for multiple items, including over 6700 potentially dangerous files/programs, checks for outdated versions of over 1250 servers, and version specific problems on over 270 servers.

I have installed Nikto2 on my gentoo machine and started a demo by typing

nikto -h 192.168.4.1

To my surprise it came up with an error

Undefined subroutine &LW2::init_ssl_engine called at /usr/bin/nikto line 66.

Tried to find a solution on google but couldn’t so i have looked at the error again and then fired my vi

vi /usr/bin/nikto

and commented the line

LW2::init_ssl_engine($CONFIGFILE{‘LW_SSL_ENGINE’});

bingo !!!! it worked an now i am able to use Nikto. So basically i  have disabled the SSL support and it worked.

Hope it will help you guys as well !!! Happy Hacking ….

#nikto #net analyzer #web server scanner